// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "GameFramework/Actor.h"
#include "PublicCharacter.h"
#include "SimpleWeapon.generated.h"

UCLASS()
class SIMPLEGAME_API ASimpleWeapon : public AActor
{
	GENERATED_BODY()
	
public:	
	// Sets default values for this actor's properties
	ASimpleWeapon(const class FObjectInitializer& ObjectInitializer);

	void SetOwningPawn(APublicCharacter* NewOwner);

	void AttachMeshToPawn();

	void OnEquip(const ASimpleWeapon* LastWeapon);

	void OnUnEquip();

	void StartAttack();

private:
	UPROPERTY(VisibleDefaultsOnly, Category = Weapon)
	USkeletalMeshComponent* WeaponMesh;

protected:
	class APublicCharacter* MyPawn;

	UPROPERTY(EditDefaultsOnly, Category = Animation)
	UAnimMontage* AttackAnim;
	
};
